<html>
<head>
    <title>Camelcase v1.0</title>
    <style>
        #root {
            position: relative;
            margin: auto;
            display: flex;
            box-shadow: 0 0 20px 0 black;
            top: 50%;
            transform: translate(0, -32vh);
            height: 58vh;
            width: 80vw;
            min-width: 700px;
        }

        #root textarea {
            width: 100%;
            height: 85%;
        }

        #root > div {
            flex: 1;
            padding: 50px;
            min-width: 250px;
        }

        #root > div:first-child {
            border-right: 1px dashed gray;
        }

        .footer {
            display: flex;
            position: fixed;
            border-top: 1px solid gray;
            bottom: 0;
            left: 0;
            right: 0;
            height: 30px;
            color: gray;
            padding-left: 20px;
            text-transform: capitalize;
            padding-top: 10px;
            font-size: 1.2rem;
            padding-bottom: 5px;
            padding-right: 20px;
            padding-left: 20px;
        }

        .footer > div{
            position: relative;
            margin-left: auto;
        }
    </style>

</head>

<div id="root">
    <div><h3>Write text separated by space that you want to covert to camelCase </h3>
        <textarea id="input" placeholder="Convert to camelCase..." onkeyup="pasteCamelToInput(this)"></textarea>
    </div>
    <div>
        <h3>Brand new camelCase output</h3>
        <textarea id="output"></textarea>
    </div>
    </textarea>
</div>

<div class="footer">
    version 1.0
    <div>Frederik Fako</div>
</div>
<script>

    function pasteCamelToInput(input) {
        let string = typeof input === 'string' ? input : input.value
        document.getElementById('output').value = toCamelCase(string);
    }

    function rekognizeDelimiter(){

    }

    function toCamelCase(str) {
        return str.replace(/([-_ ][a-z])/ig, ($1) => {
            return $1.toUpperCase()
                .replace(' ', '')
                .replace('-', '')
                .replace('_', '');
        });
    }

    let initString = 'san francisco\nsan-francisco\nsan_francisco';
    pasteCamelToInput(initString);
    document.getElementById('input').value = initString;


</script>
</html>